---
updatedAt: 2026-07-13T17:11:19.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Get PIX client statistics

Retrieve client account aggregated PIX statistics from BACEN DICT. 

**Statistics include:**

- **SPI settlements**: count of settlements over the last 90 days, 12 months, and 60 months
- **Fraud markers**: categorized fraud report counts (application frauds, mule accounts, scammer accounts, etc.)
- **Infraction reports**: open reports, distinct reporters, and rejected reports counts
- **Entries**: number of registered accounts linked to the client

Statistics are pre-computed and cached. Use `force_update=true` to trigger a fresh
computation from BACEN DICT.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Anti-fraud",
      "description": "Manage anti-fraud endpoints"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "ForceUpdateQuery": {
        "name": "force_update",
        "in": "query",
        "required": false,
        "description": "Force a fresh computation of BACEN DICT statistics instead of returning cached results? Default is `false`.",
        "schema": {
          "type": "boolean",
          "default": false,
          "example": false
        }
      }
    },
    "headers": {
      "XCidResponseHeader": {
        "description": "Request tracking identifier.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "entry.Details": {
        "type": "object",
        "description": "Event counters.",
        "properties": {
          "d90": {
            "type": "integer",
            "description": "Events occurring in last 90 days counter.",
            "example": 86
          },
          "m12": {
            "type": "integer",
            "description": "Events occurring in last 12 months counter.",
            "example": 23
          },
          "m60": {
            "type": "integer",
            "description": "Events occurring in last 60 months counter.",
            "example": 12
          }
        }
      },
      "entry.EntriesOwner": {
        "type": "object",
        "properties": {
          "registered_accounts": {
            "type": "integer",
            "description": "Number of owner's accounts associated with currently registered keys."
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "entry.FraudMarkersOwner": {
        "type": "object",
        "properties": {
          "application_frauds": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "distinct_fraud_reporters": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "mule_accounts": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "other_frauds": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "scammer_accounts": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "total_fraud_transaction_amount": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "unknown_frauds": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "entry.InfractionReportsOwner": {
        "type": "object",
        "properties": {
          "open_reports": {
            "$ref": "#/components/schemas/OpenReports"
          },
          "open_reports_distinct_reporters": {
            "$ref": "#/components/schemas/OpenReportsDistinctReporters"
          },
          "rejected_reports": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "entry.OwnerStatistics": {
        "type": "object",
        "properties": {
          "entries": {
            "$ref": "#/components/schemas/entry.EntriesOwner"
          },
          "fraud_markers": {
            "$ref": "#/components/schemas/entry.FraudMarkersOwner"
          },
          "infraction_reports": {
            "$ref": "#/components/schemas/entry.InfractionReportsOwner"
          },
          "spi": {
            "$ref": "#/components/schemas/entry.Spi"
          }
        }
      },
      "entry.Spi": {
        "type": "object",
        "description": "Data on settlements",
        "properties": {
          "settlements": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      },
      "OpenReports": {
        "type": "integer",
        "description": "Number of infringement notifications not yet completed or cancelled.",
        "example": 45
      },
      "OpenReportsDistinctReporters": {
        "type": "integer",
        "description": "Number of distinct participants creating infringement notifications that have not yet been completed or cancelled.",
        "example": 34
      },
      "statistic.GetClientStatisticsResponse": {
        "type": "object",
        "properties": {
          "person_statistics": {
            "$ref": "#/components/schemas/entry.OwnerStatistics"
          }
        }
      },
      "Watermark": {
        "type": "string",
        "format": "date-time",
        "description": "Last anti-fraud event's date and time. RFC 3339 format.",
        "example": "2020-01-17T10:00:00Z"
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "Unauthorized",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider service error": {
                "value": {
                  "code": "EPDG0013",
                  "message": "Unauthorized access to the provider service"
                }
              }
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "EPDA0009": {
                "summary": "Missing required header 'x-tenant'",
                "value": {
                  "code": "EPDA0009",
                  "message": "Missing required header 'x-tenant'"
                }
              },
              "EPDA0010": {
                "summary": "Missing required header 'x-account-id'",
                "value": {
                  "code": "EPDA0010",
                  "message": "Missing required header 'x-account-id'"
                }
              },
              "EPDA0152": {
                "summary": "Missing required param 'id'",
                "value": {
                  "code": "EPDA0152",
                  "message": "Missing required param 'id'"
                }
              }
            }
          }
        }
      },
      "429TooManyRequests": {
        "description": "Too many requests",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v2/pix/statistics": {
      "get": {
        "summary": "Get PIX client statistics",
        "description": "Retrieve client account aggregated PIX statistics from BACEN DICT. \n\n**Statistics include:**\n\n- **SPI settlements**: count of settlements over the last 90 days, 12 months, and 60 months\n- **Fraud markers**: categorized fraud report counts (application frauds, mule accounts, scammer accounts, etc.)\n- **Infraction reports**: open reports, distinct reporters, and rejected reports counts\n- **Entries**: number of registered accounts linked to the client\n\nStatistics are pre-computed and cached. Use `force_update=true` to trigger a fresh\ncomputation from BACEN DICT.\n",
        "operationId": "get-v2-pix-statistics",
        "tags": [
          "Anti-fraud"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/ForceUpdateQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/statistic.GetClientStatisticsResponse"
                },
                "example": {
                  "person_statistics": {
                    "spi": {
                      "settlements": {
                        "d90": 5,
                        "m12": 62,
                        "m60": 310
                      },
                      "watermark": "2024-01-01T00:00:00Z"
                    },
                    "fraud_markers": {
                      "application_frauds": {
                        "d90": 0,
                        "m12": 1,
                        "m60": 2
                      },
                      "mule_accounts": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "scammer_accounts": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "other_frauds": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "unknown_frauds": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "total_fraud_transaction_amount": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "distinct_fraud_reporters": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "watermark": "2024-01-01T00:00:00Z"
                    },
                    "infraction_reports": {
                      "open_reports": 0,
                      "open_reports_distinct_reporters": 0,
                      "rejected_reports": {
                        "d90": 0,
                        "m12": 0,
                        "m60": 0
                      },
                      "watermark": "2024-01-01T00:00:00Z"
                    },
                    "entries": {
                      "registered_accounts": 3,
                      "watermark": "2024-01-01T00:00:00Z"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/429TooManyRequests"
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "EPDA0004": {
                    "summary": "Internal error",
                    "value": {
                      "code": "EPDA0004",
                      "message": "Internal error"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  }
}
```